Bug 217588 - digiKam crashes on exit
Summary: digiKam crashes on exit
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Portability-Runtime (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-06 14:54 UTC by Martin Jost
Modified: 2017-08-16 10:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Jost 2009-12-06 14:54:28 UTC
Application that crashed: digikam
Version of the application: 0.10.0
KDE Version: 4.3.1 (KDE 4.3.1) "release 6"
Qt Version: 4.5.3
Operating System: Linux 2.6.31.5-0.1-desktop x86_64
Distribution: "openSUSE 11.2 (x86_64)"

What I was doing when the application crashed:
digikam crashed on exiting (by clikcing the close button of the winow) the application
Before I had in this session imported images from the camera - in the course of this created several albums) and then moved some already present fotos to a new album.
When I finnaly exited the sesseion, digikam crashed

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fa0281ea750 (LWP 6697))]

Thread 7 (Thread 0x7fa00295a910 (LWP 6702)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007fa010b6c621 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007fa021c3d65d in start_thread (arg=<value optimized out>) at pthread_create.c:297
#3  0x00007fa021f2414d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fa0005cc910 (LWP 6703)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007fa010b77e19 in interruptable_sleep () from /usr/lib64/libxine.so.1
#2  0x00007fa010b7a581 in video_out_loop () from /usr/lib64/libxine.so.1
#3  0x00007fa021c3d65d in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007fa021f2414d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 5 (Thread 0x7f9fffdcb910 (LWP 6704)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007fa021ecc599 in _L_lock_9549 () from /lib64/libc.so.6
#2  0x00007fa021eca961 in __libc_free (mem=0x7fa0221a9e60) at malloc.c:3736
#3  0x00007fa022a973d6 in QTimerInfoList::unregisterTimer (this=0x1278c60, timerId=67108892) at kernel/qeventdispatcher_unix.cpp:477
#4  0x00007fa010dd2c3c in Phonon::MediaSource::type() const () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#5  0x00007fa022a7af63 in QObject::event (this=0x13eea40, e=0x80) at kernel/qobject.cpp:1075
#6  0x00007fa0235e62ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#7  0x00007fa0235ed57e in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#8  0x00007fa0244278d6 in KApplication::notify (this=0x7ffff0b7a5e0, receiver=0x13eea40, event=0x7f9fffdcace0) at /usr/src/debug/kdelibs-4.3.1/kdeui/kernel/kapplication.cpp:302
#9  0x00007fa022a6bddc in QCoreApplication::notifyInternal (this=0x7ffff0b7a5e0, receiver=0x13eea40, event=0x7f9fffdcace0) at kernel/qcoreapplication.cpp:610
#10 0x00007fa022a9771d in sendEvent (event=<value optimized out>, receiver=<value optimized out>) at kernel/qcoreapplication.h:213
#11 QTimerInfoList::activateTimers (event=<value optimized out>, receiver=<value optimized out>) at kernel/qeventdispatcher_unix.cpp:594
#12 0x00007fa022a94678 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#13 idleTimerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:231
#14 0x00007fa01c869dde in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#15 0x00007fa01c86d7a8 in ?? () from /usr/lib64/libglib-2.0.so.0
#16 0x00007fa01c86d8d0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#17 0x00007fa022a943f6 in QEventDispatcherGlib::processEvents (this=0x12774e0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#18 0x00007fa022a6a712 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#19 0x00007fa022a6aae4 in QEventLoop::exec (this=0x7f9fffdcb000, flags=) at kernel/qeventloop.cpp:201
#20 0x00007fa02298371b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#21 0x00007fa010dc73f4 in Phonon::MediaSource::type() const () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#22 0x00007fa022986485 in QThreadPrivate::start (arg=0x1276ee0) at thread/qthread_unix.cpp:188
#23 0x00007fa021c3d65d in start_thread (arg=<value optimized out>) at pthread_create.c:297
#24 0x00007fa021f2414d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#25 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f9fff3c0910 (LWP 6707)):
#0  0x00007fa021f1b033 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f9fff3c6c4e in ao_alsa_handle_event_thread () from /usr/lib64/xine/plugins/1.27/xineplug_ao_out_alsa.so
#2  0x00007fa021c3d65d in start_thread (arg=<value optimized out>) at pthread_create.c:297
#3  0x00007fa021f2414d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f9ffebbf910 (LWP 6708)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fa010b7d673 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fa021c3d65d in start_thread (arg=<value optimized out>) at pthread_create.c:297
#3  0x00007fa021f2414d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 2 (Thread 0x7f9ffab57910 (LWP 6755)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fa02298753b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fa025782de2 in Digikam::LoadSaveThread::run() () from /usr/lib64/libdigikamcore.so.1
#4  0x00007fa022986485 in QThreadPrivate::start (arg=0x2ed3380) at thread/qthread_unix.cpp:188
#5  0x00007fa021c3d65d in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fa021f2414d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 1 (Thread 0x7fa0281ea750 (LWP 6697)):
[KCrash Handler]
#5  malloc_consolidate (av=0x7fa0221a9e60) at malloc.c:5111
#6  0x00007fa021ec75d8 in _int_free (av=0x7fa0221a9e60, p=0x77ec690) at malloc.c:4990
#7  0x00007fa021eca96c in __libc_free (mem=<value optimized out>) at malloc.c:3738
#8  0x00007fa0229c8b8c in QString::free (d=0x77ec6a0) at tools/qstring.cpp:955
#9  0x00007fa025791f5c in ?? () from /usr/lib64/libdigikamcore.so.1
#10 0x00007fa0257929db in ?? () from /usr/lib64/libdigikamcore.so.1
#11 0x00007fa02578f1cd in Digikam::LoadingCache::~LoadingCache() () from /usr/lib64/libdigikamcore.so.1
#12 0x00000000005f2185 in ?? ()
#13 0x00007fa022a7b2fd in QObject::event (this=0xc6ca40, e=0x0) at kernel/qobject.cpp:1094
#14 0x00007fa02363448f in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#15 0x00007fa02398e0bb in QMainWindow::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#16 0x00007fa024532d83 in KXmlGuiWindow::event (this=0x7fa0221a9e60, ev=0x0) at /usr/src/debug/kdelibs-4.3.1/kdeui/xmlgui/kxmlguiwindow.cpp:131
#17 0x00007fa0235e62ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#18 0x00007fa0235ed57e in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#19 0x00007fa0244278d6 in KApplication::notify (this=0x7ffff0b7a5e0, receiver=0xc6ca40, event=0x2dd9870) at /usr/src/debug/kdelibs-4.3.1/kdeui/kernel/kapplication.cpp:302
#20 0x00007fa022a6bddc in QCoreApplication::notifyInternal (this=0x7ffff0b7a5e0, receiver=0xc6ca40, event=0x2dd9870) at kernel/qcoreapplication.cpp:610
#21 0x00007fa022a6c9ea in sendEvent (event=<value optimized out>, receiver=<value optimized out>) at kernel/qcoreapplication.h:213
#22 QCoreApplicationPrivate::sendPostedEvents (event=<value optimized out>, receiver=<value optimized out>) at kernel/qcoreapplication.cpp:1247
#23 0x00007fa022a94803 in sendPostedEvents () at kernel/qcoreapplication.h:218
#24 postEventSourceDispatch () at kernel/qeventdispatcher_glib.cpp:276
#25 0x00007fa01c869dde in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#26 0x00007fa01c86d7a8 in ?? () from /usr/lib64/libglib-2.0.so.0
#27 0x00007fa01c86d8d0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#28 0x00007fa022a943a3 in QEventDispatcherGlib::processEvents (this=0x937dd0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#29 0x00007fa02367931e in ?? () from /usr/lib64/libQtGui.so.4
#30 0x00007fa022a6a712 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#31 0x00007fa022a6aae4 in QEventLoop::exec (this=0x7ffff0b7a510, flags=) at kernel/qeventloop.cpp:201
#32 0x00007fa022a6cc99 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#33 0x0000000000669302 in ?? ()
#34 0x00007fa021e71a7d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7ffff0b7ad68) at libc-start.c:220
#35 0x0000000000458849 in _start ()
The current source language is "auto; currently c".

Reported using DrKonqi
Comment 1 Dario Andres 2009-12-06 17:30:48 UTC
This could be related to bug 214620.
- It would be useful if you could test this with the last Digikam version
Thanks
Comment 2 caulier.gilles 2015-07-04 06:03:48 UTC
New digiKam 4.11.0 is available.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?
Comment 3 caulier.gilles 2016-07-09 16:13:51 UTC
This problem is not reproducible with last 5.0.0.
I close this file now. Don't hesitate to re-open it if necessary.
Gilles Caulier